"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeDeps = exports.removeNpmDeps = void 0;
/**
 * Removes dependencies from package.json file.
 * Doesn't uninstall dependencies.
 *
 * @param gen
 * @param deps
 */
async function removeNpmDeps(gen, deps) {
    const packageJsonPath = gen.destinationPath('./package.json');
    const source = await gen.fs.readJSON(packageJsonPath);
    const output = JSON.parse(JSON.stringify(source));
    removeDeps(output, deps);
    if (JSON.stringify(source) !== JSON.stringify(output)) {
        await gen.fs.writeJSON(packageJsonPath, output);
    }
}
exports.removeNpmDeps = removeNpmDeps;
function removeDeps(packageJson, deps) {
    for (const dep of deps) {
        delete packageJson.dependencies[dep];
    }
}
exports.removeDeps = removeDeps;
//# sourceMappingURL=removeNpmDeps.js.map